Bug 1003978 - Bulk abort causes errors
Bulk abort causes errors
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Mauricio Salatino
Jan Hrcek
Depends On:
  Show dependency treegraph
Reported: 2013-09-03 11:40 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:09:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
server log after one bulk abort (38.89 KB, text/x-log)
2013-09-03 11:40 EDT, Zuzana Krejčová
no flags Details
server log after another bulk abort (52.81 KB, text/x-log)
2013-09-03 11:41 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-09-03 11:40:17 EDT
Created attachment 793241 [details]
server log after one bulk abort

Description of problem:
Using Bulk Actions -> Bulk Abort on several instances at once may cause errors. Not all instances are always aborted.

A similar thing happened with Bulk Signal, will report once I'm able to reproduce it somewhat reliably.

Version-Release number of selected component (if applicable):
BPMS 6.0 ER2

How reproducible:
1/3 of cases with the steps provided

Steps to Reproduce:
1. Start 2 instances of a process.
2. Go to Process Instances, check these 2 instances.
3. Click Bulk Actions -> Bulk Abort.

Actual results:
Exceptions, errors, one instance probably won't be aborted.

Expected results:
Both instances are aborted, no exceptions arise.
Comment 1 Zuzana Krejčová 2013-09-03 11:41:03 EDT
Created attachment 793242 [details]
server log after another bulk abort

Exceptions thrown are not always the same.
Comment 2 Mauricio Salatino 2013-09-04 14:33:13 EDT
Fixed in master: http://github.com/droolsjbpm/jbpm-console-ng/commit/5f86b28d4
Comment 6 Jan Hrcek 2013-10-18 02:00:34 EDT
Ok, verified with BPMS 6.0.0 ER4

Note You need to log in before you can comment on or make changes to this bug.